#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: mueval
version: 0.9.1.1.2
id: mueval-0.9.1.1.2-5d3247714c86381195b28d6c3a7f4475
key: mueva_1qSBNl0Duuf8hoNlwvGdOb
license: BSD3
maintainer: Gwern <gwern@gwern.net>
homepage: https://github.com/gwern/mueval
synopsis: Safely evaluate pure Haskell expressions
description:
    Mueval is a Haskell interpreter. It
    uses the GHC API to evaluate arbitrary Haskell expressions.
    Importantly, mueval takes many precautions to defang and avoid \"evil\"
    code.  It uses resource limits, whitelisted modules and Safe Haskell,
    special Show instances for IO, threads, processes, and changes of directory
    to sandbox the Haskell code.
    .
    It is, in short, intended to be a standalone version of Lambdabot'\''s famous
    evaluation functionality. For examples and explanations, please see the README file.
    .
    Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules:
    Mueval.Parallel Mueval.Context Mueval.Interpreter Mueval.ArgsParse
    Mueval.Resources
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/mueval-0.9.1.1.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/mueval-0.9.1.1.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/mueval-0.9.1.1.2
hs-libraries: HSmueval-0.9.1.1.2-1qSBNl0Duuf8hoNlwvGdOb
include-dirs: /usr/local/include
depends:
    Cabal-1.22.4.0-2fc46c2ead709b31455c05b31e06715f
    QuickCheck-2.8.1-e0a8ce16831e8763b673779676610877
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    directory-1.2.2.0-4f9c4bef00d863c7033002ae78281cda
    extensible-exceptions-0.1.1.4-dae34b7345f33259ae772f45ee3cac62
    filepath-1.4.0.0-8fee9c13b5e42926cc01f6aa7c403c4b
    hint-0.4.2.3-5ae959d95f2d69d0aa3598f2e2a0ac03
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    process-1.2.3.0-d0490258ea9b7ac28566ea8dc1a5cc4a
    show-0.6-ed86c9f559d490c30266b847eb214276
    simple-reflect-0.3.2-48a04d6923e6bd72bcd9dbc07883f9a6
    unix-2.7.1.0-f5ecef24d7b553c6bb2150094d7a04c0
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/mueval-0.9.1.1.2/html/mueval.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/mueval-0.9.1.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
